be.fgov.ehealth.insurability.core.v2

## Class CommonOutputType

- java.lang.Object
- - be.fgov.ehealth.insurability.core.v2.CommonOutputType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:28:25+02:00",
                 comments="JAXB RI v2.2.11")
      public class CommonOutputType
      extends Object
      implements Serializable

  The "complex"-type of the CommonOutputType element.

  Java class for CommonOutputType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CommonOutputType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Reference" type="{urn:be:fgov:ehealth:insurability:core:v2}MessageReferenceType" minOccurs="0"/>
               <element name="IoReference" type="{urn:be:fgov:ehealth:insurability:core:v2}MessageReferenceType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonOutputType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getIoReference()` Gets the value of the ioReference property.
    `String` | `getReference()` Gets the value of the reference property.
    `void` | `setIoReference(String value)` Sets the value of the ioReference property.
    `void` | `setReference(String value)` Sets the value of the reference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonOutputType

          public CommonOutputType()

  - ### Method Detail

    - #### getReference

          public String getReference()

      Gets the value of the reference property.
      Returns:
        possible object is `String`

    - #### setReference

          public void setReference(String value)

      Sets the value of the reference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getIoReference

          public String getIoReference()

      Gets the value of the ioReference property.
      Returns:
        possible object is `String`

    - #### setIoReference

          public void setIoReference(String value)

      Sets the value of the ioReference property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging generic 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.